%define upstream_name    Scalar-String
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    String aspects of scalars
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Scalar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(bytes)
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module is about the string part of plain Perl scalars. A scalar has a
string value, which is notionally a sequence of Unicode codepoints, but may
be internally encoded in either ISO-8859-1 or UTF-8. In places, and more so
in older versions of Perl, the internal encoding shows through. To fully
understand Perl strings it is necessary to understand these implementation
details.

This module provides functions to classify a string by encoding and to
encode a string in a desired way.

This module is implemented in XS, with a pure Perl backup version for
systems that can't handle XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.3.0-11.mga10
+ Revision: 2089558
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.3.0-10.mga10
+ Revision: 2012287
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 0.3.0-9.mga9
+ Revision: 1874734
- Rebuild b/c of "lib/Scalar/String.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Thu Mar 17 2022 umeabot <umeabot> 0.3.0-8.mga9
+ Revision: 1795321
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.3.0-7.mga8
+ Revision: 1606995
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-6.mga8
+ Revision: 1508388
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 tv <tv> 0.3.0-5.mga8
+ Revision: 1506795
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1293749
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.3.0-3.mga7
+ Revision: 1249881
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.3.0-2.mga7
+ Revision: 1166414
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 0.3.0-1.mga7
+ Revision: 1161494
- new release
- fix build

* Tue Sep 05 2017 tv <tv> 0.2.0-14.mga7
+ Revision: 1151375
- rebuild with fixed perl

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-13.mga6
+ Revision: 1033010
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.2.0-12.mga6
+ Revision: 957950
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.2.0-11.mga6
+ Revision: 845212
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.2.0-10.mga6
+ Revision: 841722
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-9.mga5
+ Revision: 749334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-8.mga5
+ Revision: 686171
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.2.0-7.mga5
+ Revision: 631661
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-6.mga4
+ Revision: 524452
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.2.0-5.mga4
+ Revision: 430931
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-4.mga3
+ Revision: 372548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.2.0-3.mga3
+ Revision: 251094
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.2.0-2.mga2
+ Revision: 103533
- perl 5.14

* Wed Apr 13 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 84269
- update to 0.002

* Tue Jan 18 2011 jquelin <jquelin> 0.1.0-1.mga1
+ Revision: 22814
- cleaning spec file
- imported package perl-Scalar-String

